#include <iostream>
using namespace std;
int formiraj(int n, long long Racun[],int resenjezadatka, string s, int k)
{
    int i=0;
    while(i<n)
    {
        Racun[(int)s[i]]+=Racun[((int)s[i])-1]%k;
        if((int)s[i]==90)
            resenjezadatka=Racun[(int)s[i]];
        i++;
    }
    return resenjezadatka;
}
int main()
{
    int n,resenjezadatka;
    int k=1e9+7;
    string s;
    cin>>n;
    cin>>s;
    long long Racun[700];
    for(int i=90; i>=65; i--)
    {
        Racun[i]=0;
    }
    Racun[(int)'@']=1;
    cout<<formiraj(n,Racun,resenjezadatka,s,k);
    return 0;
}